## org.eclipse.jet.ui
Class Activator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.jet.ui.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`Activator()` The constructor.

Method Summary
`static Activator` `getDefault()` Returns the shared instance.
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path.
`org.eclipse.jface.preference.IPreferenceStore` `getPreferenceStore()` Return the prefence store shared by ui and core plugins.
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static Activator getDefault()

  Returns the shared instance.

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path.

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

### getPreferenceStore

    public org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()

  Return the prefence store shared by ui and core plugins.

  Overrides:
    `getPreferenceStore` in class `org.eclipse.ui.plugin.AbstractUIPlugin`

Copyright 2006 IBM Corporation and others. All Rights Reserved.